package aji;

/*
 * 作成日: 2005/05/10
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */

/**
 * @author ゆい
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;
//バージョン情報Window  ヘルプ->バージョン情報
public class Version {
	  private Shell parent;
	  private Shell shellC;
	  private Label label;
	  private Label label2;
	  private Text text;
//	  private String resString;

	//private Shell shell;
	  public Version(Shell shell){
	  	parent = shell;
	  	shellC = new Shell(shell, SWT.DIALOG_TRIM | SWT.PRIMARY_MODAL);
	  	GridLayout gridLayout = new GridLayout();
	  	gridLayout.numColumns = 2;
	  	gridLayout.marginHeight = 15;
	  	gridLayout.marginWidth = 15;
	  	gridLayout.horizontalSpacing = 15;
	  	gridLayout.horizontalSpacing = 15;
	  	shellC.setLayout(gridLayout);
	  	
	  	GridData gridData;

	  	label2 = new Label(shellC, SWT.NONE);
	  	label = new Label(shellC, SWT.NULL);
	  	gridData = new GridData(GridData.FILL_HORIZONTAL);
	  	label.setLayoutData(gridData);

	  	Button button1 = new Button(shellC, SWT.PUSH);
	  	gridData = new GridData(GridData.FILL);
	  	gridData.widthHint = 100;
	  	button1.setLayoutData(gridData);
	  	button1.setText("OK");
	  	button1.addSelectionListener(new SelectionAdapter() {
	  		public void widgetSelected(SelectionEvent e) {
		        shellC.dispose(); // 窓を閉じる
		      }
		    });

/*		    text = new Text(shellC, SWT.SIMPLE | SWT.BORDER);
		    gridData = new GridData(GridData.FILL_HORIZONTAL);
		    gridData.widthHint = 300;
		    text.setLayoutData(gridData);
*/
   		  }

		  // タイトルバーの文字列を設定するメソッド
		  public void setText(String str) {
		    shellC.setText(str);
		  }
//		  メッセージを設定するメソッド
		  public void setMessage(String str) {
		    label.setText(str);
		  }
		  //アイコンセット
		  public void setIcon(Image img){
		  	shellC.setImage(img);
		  	//gc.drawImage(image, 0, 0);
		  }
		  //付属画像
		  public void setImage(Image img){
		  	label2.setImage(img);
		  }
		  
		  // ダイアログを開く
		  public void open() {
		    shellC.pack();
		    // 親ウィンドウの中央に表示
		    shellC.setLocation(parent.getLocation().x +
		                       (parent.getSize().x - shellC.getSize().x) / 2,
		                       parent.getLocation().y +
		                       (parent.getSize().y - shellC.getSize().y) / 2);
		    shellC.open();

		    // 窓が消滅するまで待機
		    while (!shellC.isDisposed()) {
		      if (!shellC.getDisplay().readAndDispatch()) {
		        shellC.getDisplay().sleep();
		      }
		    }
		  }
}
